Search
K
workspace v1

Get Workspace Details

This API allows you to get existing workspace data by providing the PEXA workspace ID generated on workspace creation

get
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Response

application/json

OK

workspaceIdstring(uuid)
workspaceReferenceIdstring

Example:PEXA210000012

statusstring

Allowed values: [CREATED, PREPARED, FUNDS_AUTHORISED, FUNDS_EXCHANGED, LODGED, REQUISITIONED, CLOSED, CANCELLED]

Match pattern:^(CREATED|PREPARED|FUNDS_AUTHORISED|FUNDS_EXCHANGED|LODGED|REQUISITIONED|CLOSED|CANCELLED)$

transactionTypestring

Transaction Type:

  • REMORTGAGE
  • PURCHASE

Match pattern:^(REMORTGAGE|PURCHASE)$

referencestring

Example:109344235

jurisdictionstring

Jurisdiction:

  • ENGLAND_WALES - England/Wales

Match pattern:^(ENGLAND_WALES)$

Example:ENGLAND_WALES

createdAtstring(date-time)
completionDatestring(2022-08-01)
securityAddressobject
Show Child Parameters
auditDetailsobject
Show Child Parameters
partiesarray[object]
Show Child Parameters
referencesarray[object]
Show Child Parameters
readyForApprovalboolean

flag to indicate if the workspace is ready to be approved status.

Default:false

participantsarray[object]
Show Child Parameters
canBeUnapprovedboolean

flag to indicate if the workspace can be unapproved.

Default:false

hardLockedboolean

workspace hardlocked status.

Default:false

isLockedboolean

flag to indicate if the workspace can be soft locked.

Default:false

canBeCancelledboolean

flag to indicate if the workspace can be cancelled.

Default:false

borrowersValidationStatusstring

Allowed values: [VALID, INVALID, PENDING, COUNT_INVALID, TYPE_INVALID, NOT_REQUIRED, UNSUPPORTED_TYPE]

Match pattern:^(VALID|INVALID|PENDING|COUNT_INVALID|TYPE_INVALID|NOT_REQUIRED|UNSUPPORTED_TYPE)$

remarksobject
Show Child Parameters
transferOfEquityboolean

flag to indicate if the workspace features transfer of equity

Default:false

subscriberIdstring(uuid)

Subscriber Id of workspace creator

get/partner/api/platformconnect/v1/workspaces/{workspace_id}
 
application/json

Update Party

This API allows the Law Firm to update existing borrower’s details within an existing workspace

patch
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/parties/{party_id}

Path Parameters

workspace_idstring(uuid)required

Workspace id

party_idstring(uuid)required

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json

Update Party Request

Request to update party

typestringrequired

Allowed values: [INDIVIDUAL, ORGANISATION]

Match pattern:^(INDIVIDUAL|ORGANISATION)$

Example:INDIVIDUAL

nameChangeOnTitleboolean

Flag to indicate whether the user has consented for name change on title.

representationTypestring

Allowed values: [NO_REPRESENTATION, DUAL_REPRESENTATION, SEPARATE_REPRESENTATION]

Match pattern:^(NO_REPRESENTATION|DUAL_REPRESENTATION|SEPARATE_REPRESENTATION)$

Example:NO_REPRESENTATION

representationIdstring(uuid)
partyDetailsOne Of
Variant 1object
* Additional properties are NOT allowed.
Show Child Parameters
verificationOfIdentitystring

Allowed values: [LAW_FIRM_CERTIFIED, IDENTITY_EVIDENCE]

Match pattern:^(LAW_FIRM_CERTIFIED|IDENTITY_EVIDENCE)$

Example:LAW_FIRM_CERTIFIED

Response

application/json

OK

partyIdstring(uuid)read-only
rolestring

Allowed values: [BORROWER, OUTGOING_PROPRIETOR]

Match pattern:^(BORROWER|OUTGOING_PROPRIETOR)$

Example:BORROWER

proprietorMatchStatusarray[string]

Allowed values: [MATCH, NAME_MISMATCH, PENDING, PROPRIETOR_NAME_CHANGE_REQUIRED, TYPE_MISMATCH, REGISTRATION_NUMBER_MISMATCH, PARTY_NAME_UPDATED]

Match pattern:^(MATCH|NAME_MISMATCH|PENDING|PROPRIETOR_NAME_CHANGE_REQUIRED|TYPE_MISMATCH|REGISTRATION_NUMBER_MISMATCH|PARTY_NAME_UPDATED)$

Example:NAME_MISMATCH

typestringrequired

Allowed values: [INDIVIDUAL, ORGANISATION]

Match pattern:^(INDIVIDUAL|ORGANISATION)$

Example:INDIVIDUAL

partyDetailsOne Of
Variant 1object
Show Child Parameters
representationTypestring

Allowed values: [NO_REPRESENTATION, DUAL_REPRESENTATION, SEPARATE_REPRESENTATION]

Match pattern:^(NO_REPRESENTATION|DUAL_REPRESENTATION|SEPARATE_REPRESENTATION)$

Example:NO_REPRESENTATION

representationIdstring(uuid)
sourceProprietorIdstring(uuid)
verificationOfIdentitystring

Allowed values: [LAW_FIRM_CERTIFIED, IDENTITY_EVIDENCE]

Match pattern:^(LAW_FIRM_CERTIFIED|IDENTITY_EVIDENCE)$

Example:LAW_FIRM_CERTIFIED

patch/partner/api/platformconnect/v1/workspaces/{workspace_id}/parties/{party_id}

Body

{ "type": "INDIVIDUAL", "partyDetails": { "forenames": "James Thomas", "surname": "Smith" } }
 
application/json

Get Title Reconciliation Status

This API retrieves the party-proprietor match status for a workspace.

get
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/title-reconciliation

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Response

application/json

OK

partiesarray[object]required

List of workspace parties with their proprietor match information

Show Child Parameters
unmatchedProprietorsarray[object]required

List of title proprietors not matched to any workspace party. Empty for Sale & Purchase workspaces.

Show Child Parameters
get/partner/api/platformconnect/v1/workspaces/{workspace_id}/title-reconciliation
 
application/json

Update Title Reconciliation

This API allows updating party and proprietor information to resolve mismatches.
Supports actions: UPDATE_PARTY_NAME, SET_AS_INCOMING_PROPRIETOR, SET_AS_OUTGOING_PROPRIETOR, UPDATE_PROPRIETOR_NAME, UPDATE_OUTGOING_PROPRIETOR_NAME.

patch
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/title-reconciliation

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
actionstringrequired

The type of title reconciliation action to perform. Possible values are UPDATE_PARTY_NAME, SET_AS_INCOMING_PROPRIETOR, SET_AS_OUTGOING_PROPRIETOR, UPDATE_PROPRIETOR_NAME, UPDATE_OUTGOING_PROPRIETOR_NAME

Response

application/json

OK

Response for title reconciliation actions

actionstringrequired

The action that was performed

patch/partner/api/platformconnect/v1/workspaces/{workspace_id}/title-reconciliation

Body

{ "action": "UPDATE_PARTY_NAME", "partyId": "123e4567-e89b-12d3-a456-426614174000", "type": "INDIVIDUAL", "partyDetails": { "forenames": "John", "surname": "Doe" } }
 
application/json

Add Party Representation

Add legal representation details for a party in a workspace

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/representation

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
partyIdstring(uuid)required

The unique identifier of the party

representedBystringrequired

Type of legal representation: * PEXA_SUBSCRIBER_LAW_FIRM - Represented by a PEXA subscriber law firm (subscriber ID extracted from JWT token) * EXTERNAL_LAW_FIRM - Represented by an external (non-PEXA subscriber) law firm * NOT_REPRESENTED - Not represented (requires verification of identity)

Match pattern:^(PEXA_SUBSCRIBER_LAW_FIRM|EXTERNAL_LAW_FIRM|NOT_REPRESENTED)$

externalLawFirmobject
Show Child Parameters
representationIdstring(uuid)

Existing representation ID to reuse (for external law firms only)

referenceNumberstring

Reference number for the representation (required for external law firms when not reusing)

Match pattern:^[a-zA-Z0-9\/\-\\?:().,'#=!"%&*<>;@{+\s]*$

>= 1 characters<= 18 characters

verificationOfIdentitystring

Allowed values: [LAW_FIRM_CERTIFIED, IDENTITY_EVIDENCE]

Match pattern:^(LAW_FIRM_CERTIFIED|IDENTITY_EVIDENCE)$

Example:LAW_FIRM_CERTIFIED

Response

application/json

Accepted - Party representation request queued for async processing

workspaceIdstring(uuid)required

The workspace ID

partyIdstring(uuid)required

The party ID

representationIdstring(uuid)

Representation ID (for EXTERNAL_LAW_FIRM types only)

representedBystring

Type of representation

Allowed values:EXTERNAL_LAW_FIRMPEXA_SUBSCRIBER_LAW_FIRMNOT_REPRESENTED

subscriberIdstring(uuid)

Subscriber ID (for PEXA_SUBSCRIBER_LAW_FIRM only)

externalLawFirmobject

External law firm details (for NEW EXTERNAL_LAW_FIRM only)

Show Child Parameters
verificationOfIdentitystring

Verification of identity method (for NOT_REPRESENTED only)

post/partner/api/platformconnect/v1/workspaces/{workspace_id}/representation

Body

{ "partyId": "a1b2c3d4-e5f6-7890-1234-567890abcdef", "representedBy": "PEXA_SUBSCRIBER_LAW_FIRM" }
 
application/json